EDIT - feature request #6589

Handle protologue as original source with URI link
04/24/2017 10:18 PM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdm Estimated time: 0:00 hour
Target version: Release 5.18

Severity: normal

Description

Once #6588 and #6581 is implemented we could move protologue information from NameDescription to nomenclatural reference.

Related issues:

Related to EDIT - feature request #7653: [DISCUSS] Delete NameFacts => Resullt...

Related to EDIT - feature request #8920: Make reference URL available in deta...
Related to EDIT - bug #9241: replace/adapt descriptionPart in render templated

Related to EDIT - feature request #9225: Make TaxonName.nomenclaturalSource a...

Related to EDIT - task #9265: Adapt dataportal to new protologue handling
Related to EDIT - task #6591: Use name used in source for original spelling
Blocked by EDIT - feature request #6581: Make all microreferenced references ...

Blocked by EDIT - feature request #6588: Add URL and URL comment to OriginalS...

Precedes EDIT - task #9266: Remove protologue section from TaxEditor
Copied to EDIT - feature request #9320: Move additional publication informati...

Closed
New

New
Closed
Closed
Closed
Closed
Closed
Closed

In Progress

Associated revisions

Revision 32d98e19 - 04/25/2017 01:15 PM - Patrick Plitzner
ref #6589 Change protologue section label

Revision 139caafa - 09/17/2020 03:12 PM - Andreas Miiller
ref #6589 add ProtologMover (not yet ready)

Revision cb45d97c¢ - 10/30/2020 10:40 AM - Andreas Miiller
ref #6589 finalize update script for

Revision bee1d8ab - 10/30/2020 10:48 AM - Andreas Miiller

ref #6589 fix update script (incorrect alias) and update remote-webapp h2 test db

Revision 7fea2e65 - 10/30/2020 10:52 AM - Andreas Miiller
ref #6589 update vaadin h2 test db

Revision 9f095f86 - 10/30/2020 10:55 AM - Andreas Muiller
ref #6589 update taxeditor h2 test db

Revision 4f4efaf6 - 11/02/2020 04:14 PM - Andreas Mdller
ref #6589 adapt import scripts to new protologue handling

Revision 6320b0c9 - 11/02/2020 04:15 PM - Andreas Miiller
ref #6589 adapt cdmlib import scripts to new protologue handling

Revision d772a673 - 11/02/2020 09:20 PM - Andreas Miiller
ref #6589 adapt cdmlight export to new protologue handling
https://dev.e-taxonomy.eu/redmine/issues/6588
https://dev.e-taxonomy.eu/redmine/issues/6581

#1 - 04/24/2017 10:19 PM - Andreas Miiller

- Blocked by feature request #6581: Make all microreferenced references OriginalSources added

#2 - 04/24/2017 10:19 PM - Andreas Miiller
- Blocked by feature request #6588: Add URL and URL comment to OriginalSource / ExternalLink added

#3 - 04/24/2017 10:46 PM - Andreas Miiller

WGB: Mir aufgefallen, dass die Angabe ,Protolog” im Editor Detail eigentlich nicht richtig ist, es geht ja eigentlich um den ,nomenclatural act”, der
den Namen validiert (oder eben auch nicht). Hierzu gehért dann auch die Publikation der Veréffentlichung von Kombinationen (das ist dann ja kein
JProtolog”).

AM: Damit wir Gber das gleiche reden, die Kombinations“protologe“ sollen aber bei den Kombinationsnamen bleiben, oder? Es geht dir also v.a. um
das Label?

WGB: Ja. Im Prinzip geht’s ja um das Belegen der im Detail der Verdffentlichungsreferenz des Namens genannten exakten Literaturstellen durch
Scans derselben. Damit wird ggf. auch die Zuordnung eines nom. status belegt (also z.B. der ,Beweis®, dass an der Veroffentlichungsstelle
bestimmte Regeln nicht befolgt wurden). Im Grunde kann das Ganze aber auch als eine Art Diskussion des Status gesehen werden — normalerweise
mit Verbindung zu den Literaturdetails, aber manchmal auch mit Bezug auf das Datum der Verdffentlichung (z.B. durch die Darstellung einer
Einband- oder Titelseite, die das Jahr der Veréffentlichung klarstellt).

AM: Wenn ja, hast du einen Vorschlag. Grundsatzlich wére es sicherlich auch sinnvoll, das intern anders zu modellieren. Derzeit wird es quasi als
NameFact vom Typ ,Protolog” abgespeichert. Auf das Konstrukt ,NameFact“ (bzw. NameDescription) wiirde ich eigentlich gerne véllig verzichten,
das ist ein Konstrukt aus den Anfangszeiten welches wir eigentlich nicht brauchen und welches wir fir die Protologe als workaround missbraucht
haben. Daher wére hier eine Modellanderung auf jeden Fall sinnvoll. Da bréduchten wir dann auch noch ein Label fiir das Attribut im Model (nicht nur
im Ul).

WGB: Ich denke, die Modellierung sollten wir noch mal eingehend diskutieren. Einerseits ist es in vielen Féllen nur ein einfacher Link zum
seitengenauen Bild des Textes der Erstverdffentlichung. Das kann aber teilweise schon durch die Nennung mehrere Textstellen komplizierter werden,
und dann in eine ganze Diskussion mit Verweis auf Code-Artikel etc. ausarten. Eigentlich denke ich, dass das alles eigentlich zu den Reference
Details gehért und beim Zitat des Namens hinterlegt werden sollte (das bedeutet aber, dass das Detail doch geparst modelliert werden misste);
weitere Details kdnnten dann in einem Text ,nomenclatural evaluation* hinterlegt werden, der dann ggf. mit in-line Referenzen versehen werden
kénnte. Siehe Gbernachste Notiz, wie man das mit der jetzigen Lésung einfacher I16sen kdnnte.

AM: Im Ul sollte es aber ein eingéngliches Label sein. Mit Protolog konnten die User bislang alle was anfangen, deswegen fande ich es nicht gut,
wenn wir da etwas zu abstraktes nehmen.

Was ware mit ,Original Publication®, das wird ja auch 6fters verwendet?

WGB: Im Ul wiirde ich (bei der jetzigen Lésung) einfach ,Protologue / original publication“ benutzen. Das deckt das dann ab.

#4 - 06/05/2017 12:40 PM - Andreas Miiller
- Priority changed from New to Priority14

#5 - 06/07/2017 01:23 AM - Andreas Miiller
- Target version changed from CDM UML 4.7 to CDM UML 5.0

#7 - 05/14/2018 01:57 PM - Andreas Miiller
- Target version changed from CDM UML 5.0 to CDM UML 5.5

#9 - 08/14/2018 10:26 AM - Andreas Miiller
- Related to feature request #7653: [DISCUSS] Delete NameFacts => Result: no added

#10 - 01/19/2019 12:34 AM - Andreas Miiller
- Priority changed from Priority14 to Priority13

#11 - 05/05/2019 11:18 AM - Andreas Miiller
- Target version changed from CDM UML 5.5 to CDM UML 5.15

#12 - 03/31/2020 09:11 AM - Andreas Miiller

- Related to feature request #8920: Make reference URL available in details view added

#13 - 06/23/2020 02:53 PM - Andreas Miiller
- Target version changed from CDM UML 5.15 to CDM UML 5.43

#14 - 09/17/2020 03:10 PM - Andreas Miiller
- Status changed from New to In Progress

- Priority changed from Priority13 to Highest

#15 - 10/06/2020 01:41 PM - Andreas Kohlbecker
- Related to bug #9241: replace/adapt descriptionPart in render templated added

#16 - 10/29/2020 03:52 PM - Andreas Miiller

- Related to feature request #9225: Make TaxonName.nomenclaturalSource a new DescriptionElementSource subclass added

#17 - 10/29/2020 03:53 PM - Andreas Miiller

Fextbata- => DONE for all relevant DBs on production, test and integration (
updated anyway)

DELETE
FROM DescriptionElementBase_OriginalSourceBase
WHERE sources_id IN
(
SELECT * FROM (
SELECT DO.sources_id -- osb.id -- deb.id, osb.id, osb.sourceType
FROM TaxonName n
INNER JOIN DescriptionBase db ON db.taxonName_id = n.id
INNER JOIN DescriptionElementBase deb ON deb.inDescription_id = db.id
INNER JOIN DescriptionElementBase_Media MN ON deb.id = MN.DescriptionElementBase_id
INNER JOIN Media m ON m.id = MN.media_id
INNER JOIN MediaRepresentation mr ON mr.media_id = m.id
INNER JOIN MediaRepresentationPart mrp ON mrp.representation_id = mr.id
INNER JOIN DefinedTermBase feature ON feature.id = deb.feature_id
AND feature.uuid = '71b356c5-1e3f-4£5d-9b0f-c2cf8ae7779f"
INNER JOIN DescriptionElementBase_OriginalSourceBase DO ON DO.DescriptionElementBase_id = deb.id
—— INNER JOIN OriginalSourceBase osb ON osb.id = DO.sources_id
) AS tmp
)

DELETE
FROM OriginalSourceBase
WHERE id IN
(
SELECT DO.sources_id -- osb.id -- deb.id, osb.id, osb.sourceType
FROM TaxonName n
INNER JOIN DescriptionBase db ON db.taxonName_id = n.id
INNER JOIN DescriptionElementBase deb ON deb.inDescription_id = db.id
INNER JOIN DescriptionElementBase_Media MN ON deb.id = MN.DescriptionElementBase_id
INNER JOIN Media m ON m.id = MN.media_id
INNER JOIN MediaRepresentation mr ON mr.media_id = m.id
INNER JOIN MediaRepresentationPart mrp ON mrp.representation_id = mr.id
INNER JOIN DefinedTermBase feature ON feature.id = deb.feature_id
AND feature.uuid = '71b356c5-1e3f-4£5d-9b0f-c2cf8ae7779f"
INNER JOIN DescriptionElementBase_OriginalSourceBase DO ON DO.DescriptionElementBase_id = deb.id
—-— INNER JOIN OriginalSourceBase osb ON osb.id = DO.sources_id

#18 - 10/29/2020 03:54 PM - Andreas Miiller
SQL to find linking data to TextData holding the protologue image

SELECT DO.sources_id —-- DO.DescriptionElementBase_id, -- , osb.sourceType
FROM TaxonName n
INNER JOIN DescriptionBase db ON db.taxonName_id = n.id
INNER JOIN DescriptionElementBase deb ON deb.inDescription_id = db.id
INNER JOIN DescriptionElementBase_Media MN ON deb.id = MN.DescriptionElementBase_id
INNER JOIN Media m ON m.id = MN.media_id
INNER JOIN MediaRepresentation mr ON mr.media_id = m.id
INNER JOIN MediaRepresentationPart mrp ON mrp.representation_id = mr.id
INNER JOIN DefinedTermBase feature ON feature.id = deb.feature_id
AND feature.uuid = '71b356c5-1e3f-4£5d-9b0f-c2cf8ae7779f"
LEFT JOIN DescriptionElementBase_OriginalSourceBase DO ON DO.DescriptionElementBase_id = deb.id
LEFT JOIN OriginalSourceBase osb ON osb.id = DO.sources_id

WHERE deb.id IN (
SELECT DA.DescriptionElementBase_id
FROM DescriptionElementBase_Annotation DA
UNION ALL

SELECT DS.TextData_id
FROM DescriptionElementBase_LanguageString DS

UNION ALL

SELECT DM.DescriptionElementBase_id
FROM DescriptionElementBase_Marker DM

UNION ALL

SELECT DMo.DescriptionElementBase_id
FROM DescriptionElementBase_Modifier DMo

UNION ALL
SELECT DO.DescriptionElementBase_id
FROM DescriptionElementBase_OriginalSourceBase DO

#19 - 10/29/2020 03:54 PM - Andreas Miiller

SQL to find linking data to DescriptionBase holding the protologue image
SELECT n.titleCache
FROM TaxonName n
INNER JOIN DescriptionBase db ON db.taxonName_id = n.id
INNER JOIN DescriptionElementBase deb ON deb.inDescription_id = db.id
INNER JOIN DescriptionElementBase_Media MN ON deb.id = MN.DescriptionElementBase_id
INNER JOIN Media m ON m.id = MN.media_id
INNER JOIN MediaRepresentation mr ON mr.media_id = m.id
INNER JOIN MediaRepresentationPart mrp ON mrp.representation_id = mr.id
INNER JOIN DefinedTermBase feature ON feature.id = deb.feature_id
AND feature.uuid = '71b356c5-1e3f-4£f5d-9b0f-c2cf8ae7779f"

WHERE db.id IN (
SELECT NN.DescriptionBase_id
FROM DescriptionBase_Annotation NN

UNION ALL

SELECT NN.DescriptionBase_id
FROM DescriptionBase_Credit NN

UNION ALL

SELECT NN.DescriptionBase_id
FROM DescriptionBase_Extension NN

UNION ALL

SELECT NN.DescriptionBase_id
FROM DescriptionBase_Externallink NN

UNION ALL

SELECT NN.DescriptionBase_id
FROM DescriptionBase_Identifier NN

UNION ALL

SELECT MM.TaxonDescription_id
FROM DescriptionBase_GeoScope MM

UNION ALL

SELECT NN.DescriptionBase_id
FROM DescriptionBase_Marker NN

UNION ALL

SELECT NN.DescriptionBase_id
FROM DescriptionBase_OriginalSourceBase NN
UNION ALL

SELECT NN.DescriptionBase_id
FROM DescriptionBase_RightsInfo NN

UNION ALL

SELECT NN.DescriptionBase_id
FROM DescriptionBase_Reference NN

UNION ALL

SELECT NN.TaxonDescription_id
FROM DescriptionBase_Scope NN

UNION ALL

SELECT NN.descriptions_id
FROM DescriptiveDataSet_DescriptionBase NN

#20 - 10/29/2020 03:56 PM - Andreas Miiller
- Related to task #9265: Adapt dataportal to new protologue handling added

#21 - 10/30/2020 02:02 PM - Andreas Miiller

- Precedes task #9266: Remove protologue section from TaxEditor added

#22 - 10/30/2020 02:03 PM - Andreas Miiller
- Status changed from In Progress to Resolved

- % Done changed from 0 to 50

This is fixed now with model version 5.18.4.
However, #9266 and #9265 also need to be fixed before release

#23 - 11/03/2020 09:42 PM - Andreas Miiller

- Related to task #6591: Use name used in source for original spelling added

#24 - 11/24/2020 09:54 PM - Andreas Kohlbecker

| found a special case in the data portal code for the feature:

UUID_ADDITIONAL_PUBLICATION = 'cb2eab09-6d9d-4e43-8ad2-873£23400930"

Which is also treated like a secondary nomenclatural reference:

The code expects $description_element->multilanguageText_L10n->text being filled and appends this test to the nomRef like
NOM_REF [& ADDITIONAL_PUBLICATION_TEXT].

| found no current project in the edit-database server which is making use of this, so | think that we can neglect it. So | don't think that this is still
relevant but felt it would be better to share this observation with you, just in case you remember something in this context which needs to be handled.

#25 - 11/24/2020 10:36 PM - Andreas Miiller

Additional Publications do definetely exist, e.g. in E+M or caryo_spp

SELECT db.DTYPE, db.id, feature.titleCache

FROM DescriptionBase db INNER JOIN DescriptionElementBase deb ON deb.indescription_id = db.id
INNER JOIN DefinedTermBase feature ON feature.id = deb.feature_id

WHERE feature.titleCache LIKE '$Additio%' -- db.DTYPE like 'TaxonNameDesc$'

in caryo_spp some data is attached to TaxonDescriptions which is not correct. This needs to be corrected.

Andreas K., does the fact that additional publications exist need any action?

#26 - 11/25/2020 10:44 AM - Andreas Kohlbecker
Interesting, that the UUID is different from that in the data portal code (‘cb2eab09-6d9d-4e43-8ad2-873f23400930").
| am not sure what do to with these references. ADDITIONAL_PUBLICATION in NameDescriptions could be handled in the NomenclaturalSource, but
how can we distinguish them from protologues?

#27 - 11/25/2020 10:58 AM - Andreas Kohlbecker

also in

cdm_production_cichorieae
cdm_production_euromed
cdm_production_euromed_caucasus
cdm_production_diptera
cdm_production_flora_central_africa
cdm_production_flora_cuba
cdm_production_flora_malesiana_prospective

#28 - 11/25/2020 12:04 PM - Andreas Miiller

Andreas Kohlbecker wrote:
Interesting, that the UUID is different from that in the data portal code (‘cb2eab09-6d9d-4e43-8ad2-873f23400930').
| am not sure what do to with these references. ADDITIONAL_PUBLICATION in NameDescriptions could be handled in the

NomenclaturalSource, but how can we distinguish them from protologues?

Yes, strange, maybe it was changed when ADDITIONAL_PUBLICATION was moved from Feature to NameFeature vocabulary. But | can't find an
according update script.

However, there are some old test data which still use the old uuid (e.g. TermVocabularyDaolmplITest.xml) so it was there at some time in the past.
We should move this discussion to a new ticket (#9320) as it does not really belong to this ticket.

#29 - 11/25/2020 12:13 PM - Andreas Miiller

- Copied to feature request #9320: Move additional publication information to nomenclatural source added

#30 - 11/27/2020 04:04 PM - Andreas Miiller
- Target version changed from CDM UML 5.43 to Release 5.18

#31 - 11/27/2020 04:23 PM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

| think we can close this ticket.
